# spec file for perl-GStreamer1
#
# Copyright (c) 2015 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#

Name:           perl-GStreamer1
Version:        0.003
Release:        10%{?dist}
Summary:        Bindings for GStreamer 1.x
# Full text of the License in the headers is enough,
# But https://rt.cpan.org/Ticket/Display.html?id=102878
License:        BSD
URL:            http://search.cpan.org/dist/GStreamer1/
Source0:        http://search.cpan.org/CPAN/authors/id/T/TM/TMURRAY/GStreamer1-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Devel::CheckLib)
BuildRequires:  perl(Glib::Object::Introspection) >= 0.009
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::More)
BuildRequires:  gstreamer1-devel
BuildRequires:  gstreamer1-plugins-base

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
# For Gst-1.0.typelib, GstBase-1.0.typelib and GstController-1.0.typelib
Requires:       gstreamer1
# For GstApp-1.0.typelib
Requires:       gstreamer1-plugins-base

%{?perl_default_filter}


%description
GStreamer1 implements a framework that allows for processing and encoding
of multimedia sources in a manner similar to a shell pipeline.

This package provides the perl language bindings.


%prep
%setup -q -n GStreamer1-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}

%{_fixperms} %{buildroot}/*


%check
make test


%files
%doc CHANGELOG dist.ini examples
%{perl_vendorlib}/GStreamer1*
%{_mandir}/man3/GStreamer1*


%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.003-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.003-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Jun 07 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.003-8
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.003-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.003-6
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.003-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.003-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.003-3
- Perl 5.22 rebuild

* Thu Mar 19 2015 Remi Collet <remi@fedoraproject.org> - 0.003-2
- fix Source0 and comments from review #1203610

* Thu Mar 19 2015 Remi Collet <remi@fedoraproject.org> - 0.003-1
- Specfile autogenerated by cpanspec 1.78.
- cleanup (thanks eseyman)
